import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'index.dart';
import 'widgets/widgets.dart';

class HardwareDetectionPage extends GetView<HardwareDetectionController> {
  HardwareDetectionPage({Key? key}) : super(key: key);

  final bigTitleStyle = TextStyle(
    fontSize: 20,
    fontWeight: FontWeight.bold,
  );

  @override
  Widget build(BuildContext context) {
    return GetBuilder<HardwareDetectionController>(
      init: HardwareDetectionController(),
      id: "hardware_detection",
      builder: (_) {
        return Scaffold(
          appBar: AppBar(title: const Text("hardware_detection")),
          body: SafeArea(
            child: _buildView(),
          ),
        );
      },
    );
  }

  // 主视图
  Widget _buildView() {
    return Center(
      child: Container(
        padding: EdgeInsets.only(top: 30, left: 30),
        child: ListView(
          children: [
            Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text("i18nBook.setting.video.t", style: bigTitleStyle),
                SizedBox(height: 10),
                CameraDetection(),
                SizedBox(height: 20),
                CameraUI(),
                SizedBox(height: 20),
                _decorateLine(),
                SizedBox(height: 20),
                Text("i18nBook.setting.audio.t", style: bigTitleStyle),
                SizedBox(height: 10),
                SpeakerDetection(),
                SizedBox(height: 20),
                SpeakerUI(),
                SizedBox(height: 40),
                MicrophoneDetection(),
                SizedBox(height: 20),
                MicrophoneUI(),
                SizedBox(height: 20),
                ElevatedButton(
                  onPressed: controller.startDetectingAll,
                  child: Text("测试全部"),
                ),
                SizedBox(height: 40),
              ],
            ),
          ],
        ),
      ),
    );
  }

  Widget _decorateLine() {
    return Container(
      height: 1,
      width: double.infinity,
      margin: EdgeInsets.only(top: 5, bottom: 5),
      decoration: BoxDecoration(
          border: Border(
        bottom: BorderSide(color: Colors.grey),
      )),
    );
  }
}
