import 'package:flutter/material.dart';

/// 通用组件
class CommonWidgets {
  /// 设备异常提示
  static Widget deviceUnavailableTip() {
    return Row(
      children: [
        Text(
          "设备异常",
          // "i18nBook.setting.deviceError.t",
          style: TextStyle(fontSize: 14, color: Colors.red, height: 1),
        ),
        SizedBox(
          width: 5,
        ),
        Icon(
          Icons.highlight_off_rounded,
          color: Colors.red,
          size: 18,
        ),
      ],
    );
  }

  /// 设备正常提示
  static Widget deviceAvailableTip() {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      children: [
        Text(
          "设备正常",
          // "i18nBook.setting.deviceNormal.t",
          style: TextStyle(fontSize: 14, color: Colors.green, height: 1),
        ),
        SizedBox(
          width: 5,
        ),
        Icon(
          Icons.check_circle_outline,
          color: Colors.green,
          size: 18,
        ),
      ],
    );
  }

  /// 正在搜索设备提示
  static Widget deviceFindingTip() {
    return Container(
      width: 250,
      height: 30,
      child: Center(
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Container(
              width: 12,
              height: 12,
              child: CircularProgressIndicator(
                strokeWidth: 1,
                valueColor: AlwaysStoppedAnimation(Colors.grey),
              ),
            ),
            SizedBox(
              width: 5,
            ),
            Text(
              "正在搜索设备",
              // "i18nBook.setting.searchingForDevice.t",
              style: TextStyle(fontSize: 14, color: Colors.grey, height: 1),
            ),
          ],
        ),
      ),
    );
  }

  /// 找不到设备提示
  static Widget deviceNotFoundTip() {
    return Container(
      width: 250,
      height: 30,
      child: Center(
        child: Text(
          "找不到可用设备",
          // "i18nBook.setting.noAvailableDevice.t",
          style: TextStyle(fontSize: 14, color: Colors.grey, height: 1),
        ),
      ),
    );
  }
}
